Holger's Java API

## com.antelmann.net
Class NetConnectionAdapter

    java.lang.Object
      com.antelmann.net.NetConnectionAdapter

All Implemented Interfaces:
  NetConnectionHandler

    public class NetConnectionAdapter

extends Object
implements NetConnectionHandler

Author:
  Holger Antelmann

Constructor Summary
`NetConnectionAdapter()`

Method Summary
`void` `connectionLost(NetConnection connection)` closes the connection and ignores possible IOExceptions
`void` `handleMessage(Object message, NetConnection connection)` called when a message is received by the given NetConnection object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetConnectionAdapter

    public NetConnectionAdapter()

Method Detail

### handleMessage

    public void handleMessage(Object message,
                              NetConnection connection)

  Description copied from interface: `NetConnectionHandler`
  called when a message is received by the given NetConnection object

  Specified by:
    `handleMessage` in interface `NetConnectionHandler`

### connectionLost

    public void connectionLost(NetConnection connection)

  closes the connection and ignores possible IOExceptions

  Specified by:
    `connectionLost` in interface `NetConnectionHandler`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads